public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-cpp/nlohmann_json/
Date: Wed, 30 Aug 2023 05:16:25 +0000 (UTC)	[thread overview]
Message-ID: <1693372494.c6e96aa4bc290f4fb0f7fac851d4ebf12682c8fc.sam@gentoo> (raw)

commit:     c6e96aa4bc290f4fb0f7fac851d4ebf12682c8fc
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 30 04:55:52 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 30 05:14:54 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6e96aa4

dev-cpp/nlohmann_json: add 3.10.2

This partially reverts 3591af18de7c094c01e71deadd4f2a8f9597f228.

Needed by qiskit-aer-0.12.2 for now.

Bug: https://github.com/Qiskit/qiskit-aer/issues/1742
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-cpp/nlohmann_json/Manifest                    |  2 +
 dev-cpp/nlohmann_json/nlohmann_json-3.10.2.ebuild | 63 +++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-cpp/nlohmann_json/Manifest b/dev-cpp/nlohmann_json/Manifest
index 0ebb96ff79c9..bb6d9f16263d 100644
--- a/dev-cpp/nlohmann_json/Manifest
+++ b/dev-cpp/nlohmann_json/Manifest
@@ -1,2 +1,4 @@
+DIST nlohmann_json-3.10.2.tar.gz 7054440 BLAKE2B e7da213fb75d528b1f5425822f5b598e882f232a67670aaae2d8f89c76e72ee23fa3344d1acfef2b0338a6a423d17b231b7e047ff064c984c2ec7783b721a22c SHA512 9a399dfc8aab19c9fc12470e8087895b1c05d48a9bcc731b483d8670c361cffb2adc3ccced822b7f17255e88387a441d619c4e1f1afeb702d1d035ad24fe22ed
 DIST nlohmann_json-3.11.2.tar.gz 8097673 BLAKE2B ebb67966739a330e0cfb8495a6eb58e87732655856a6d4e843072ed5e485cafbb8a75d8803859d0365b814deda7429448ecc473de414de4b23d3a3c455dc2511 SHA512 70097c9bcd7a91254acbd41b8b68a6aaa371fc2dd7011f472917f69f1e2d2986155a0339dad791699d542e4a3be44dc49ae72ff73d0ee0ea4b34183296ce19a0
+DIST nlohmann_json-testdata-3.0.0.tar.gz 112348454 BLAKE2B f0a47b41805bf1426f612e9a82efea2a3e5b1c15740c1c531d859e60dc5daeb85209b4fe363fd8fb84e3bbf01a2578c74538ba3e769726494047979f5a4d468d SHA512 d9af8419b837c592ec7519cd5772651c761078a9c43cf2a309cee55c323aee0df0c233fb58a07d5ee2e77492ac8b16398de234b387eae037a60e3c9ba5b08891
 DIST nlohmann_json-testdata-3.1.0.tar.gz 115036393 BLAKE2B 809be0728a0b9d007fcc752911bdf6f7e548d6e3ec59871ea2b16d87d8248ca4dd2f681a1d0f82c618463294188ad41d6d965b8bdc39c70fdcf4b939d4121e9c SHA512 db6c411b37f2154f5dd1ed90f4e8fa0907f4a736cd0ff79943bcacf9da422285ff142bb6a7dc6022b236090083166ac1ab197be3f480d8dc50b26a91a9477821

diff --git a/dev-cpp/nlohmann_json/nlohmann_json-3.10.2.ebuild b/dev-cpp/nlohmann_json/nlohmann_json-3.10.2.ebuild
new file mode 100644
index 000000000000..f7a64254bd24
--- /dev/null
+++ b/dev-cpp/nlohmann_json/nlohmann_json-3.10.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+# Check https://github.com/nlohmann/json/blob/develop/cmake/download_test_data.cmake to find test archive version
+TEST_VERSION="3.0.0"
+DESCRIPTION="JSON for Modern C++"
+HOMEPAGE="https://github.com/nlohmann/json https://nlohmann.github.io/json/"
+SRC_URI="
+	https://github.com/nlohmann/json/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	test? ( https://github.com/nlohmann/json_test_data/archive/v${TEST_VERSION}.tar.gz -> ${PN}-testdata-${TEST_VERSION}.tar.gz )
+"
+S="${WORKDIR}/json-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="doc test"
+#RESTRICT="!test? ( test )"
+# Need to report failing tests upstream
+# Tests only just added, large test suite, majority pass
+RESTRICT="test"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+
+DOCS=( ChangeLog.md README.md )
+
+src_configure() {
+	# Tests are built by default so we can't group the test logic below
+	local mycmakeargs=(
+		-DJSON_MultipleHeaders=ON
+		-DJSON_BuildTests=$(usex test)
+	)
+
+	# Define test data directory here to avoid unused var QA warning, bug #747826
+	use test && mycmakeargs+=( -DJSON_TestDataDirectory="${S}"/json_test_data )
+
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_src_compile
+
+	if use doc; then
+		emake -C doc
+		HTML_DOCS=( doc/html/. )
+	fi
+}
+
+src_test() {
+	cd "${BUILD_DIR}/test" || die
+
+	# Skip certain tests needing git per upstream
+	# https://github.com/nlohmann/json/issues/2189
+	local myctestargs=(
+		"-LE git_required"
+	)
+
+	cmake_src_test
+}


             reply	other threads:[~2023-08-30  5:16 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-30  5:16 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-25 21:01 [gentoo-commits] repo/gentoo:master commit in: dev-cpp/nlohmann_json/ Michał Górny
2024-11-23 17:21 Michał Górny
2024-11-23 12:28 Arthur Zamarin
2024-11-23 12:09 Sam James
2024-11-23 12:09 Sam James
2024-11-23 12:09 Sam James
2023-11-30  3:07 Sam James
2023-10-18 14:09 Sam James
2023-03-24 14:07 Arthur Zamarin
2023-03-22  5:44 Sam James
2023-02-16  5:52 WANG Xuerui
2022-12-18 12:16 Sam James
2022-08-13 17:43 Sam James
2022-08-13 13:32 Sam James
2022-08-12 21:02 Sam James
2022-06-07  8:24 Jakov Smolić
2022-04-17 19:24 Sam James
2022-02-19 15:22 Arthur Zamarin
2022-02-19 13:22 Jakov Smolić
2022-02-19 13:15 Jakov Smolić
2022-02-19  9:05 Arthur Zamarin
2022-01-11  4:33 Sam James
2022-01-09  9:17 Sam James
2021-10-17  0:03 Georgy Yakovlev
2021-10-09  4:21 Sam James
2021-09-25 18:11 Sam James
2021-09-02 13:27 Marek Szuba
2021-08-18  3:45 Sam James
2021-08-18  3:45 Sam James
2021-03-15  6:38 Sam James
2021-01-02 21:31 David Seifert
2021-01-02 21:08 Sam James
2020-12-16 21:34 Sam James
2020-12-11 23:10 Sergei Trofimovich
2020-12-11 23:07 Sergei Trofimovich
2020-12-10 21:41 Thomas Deutschmann
2020-10-11 20:31 Sam James
2020-10-10  6:31 Sam James
2020-10-07  7:09 Agostino Sarubbo
2020-10-07  6:53 Agostino Sarubbo
2020-10-07  6:50 Agostino Sarubbo
2020-10-07  6:42 Agostino Sarubbo
2020-10-04  0:26 Sam James
2020-01-16 15:45 Tim Harder
2019-09-27  5:49 Tim Harder
2019-09-27  5:49 Tim Harder
2019-09-26  6:52 Sergei Trofimovich
2019-07-23  8:23 Agostino Sarubbo
2019-07-21  8:25 Sergei Trofimovich
2019-07-18 14:32 Thomas Deutschmann
2019-06-28 23:26 Tim Harder
2019-04-11  5:37 Tim Harder
2019-02-17 17:40 Sergei Trofimovich
2018-12-29 21:04 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1693372494.c6e96aa4bc290f4fb0f7fac851d4ebf12682c8fc.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox